"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.MetaDataKeys = exports.RequestMethods = void 0;
var RequestMethods;
(function (RequestMethods) {
    RequestMethods["GET"] = "get";
    RequestMethods["POST"] = "post";
    RequestMethods["PATCH"] = "patch";
    RequestMethods["PUT"] = "put";
    RequestMethods["DELETE"] = "delete";
    RequestMethods["OPTIONS"] = "options";
})(RequestMethods = exports.RequestMethods || (exports.RequestMethods = {}));
var MetaDataKeys;
(function (MetaDataKeys) {
    MetaDataKeys["CONTROLLER"] = "Controller";
    MetaDataKeys["ROUTES"] = "Routes";
    MetaDataKeys["MIDDLEWARES"] = "Middlewares";
    MetaDataKeys["ROUTE_MIDDLEWARES"] = "RouteMiddlewares";
    MetaDataKeys["HANDLER_NAME"] = "HandlerName";
})(MetaDataKeys = exports.MetaDataKeys || (exports.MetaDataKeys = {}));
