/// <reference types="node" />
import http from "http";
import https from "https";
import { Debugger } from "debug";
import { EpicApplication } from "./application";
export declare class HTTPBase {
    Application: EpicApplication;
    Server: http.Server | https.Server;
    ServerDebug: Debugger;
    Port: number;
    constructor(Application: EpicApplication, Server: http.Server | https.Server, ServerDebug: Debugger);
    listen(port: string | number): Promise<void>;
    /**
     *
     * Utility Functions
     * These utility functions are used to safely start the server.
     *
     */
    normalizePort(port: number | string): number;
}
